modelderivative/v2/designdata/{urn}/metadata/{modelGuid}/properties
Retrieves a list of properties of all objects in the Model View specified by the modelGuid URI parameter.
This operation returns properties of all objects by default. However, you can restrict the results to a specific object by specifying its ID as the objectid query parameter.
Properties are returned as a flat list, ordered by their objectid. The objectid is a non-persistent ID assigned to an object when the source design is translated to the SVF or SVF2 format. This means that:
- A design file must be translated to SVF or SVF2 before you can retrieve properties.
- The
objectidof an object can change if the design is translated to SVF or SVF2 again. If you require a persistent ID across translations, useexternalIdto reference objects instead ofobjectid.
Before you call this operation:
- Use the List Model Views operation to obtain the list of Model Views (Viewables) in the source design.
- Pick the ID of the Model View you want to query and specify that ID as the value for the
modelGuidURI parameter.
Tip: Use Fetch Specific Properties to retrieve only the objects and properties of interest. The response is paginated, so when the number of properties returned is large, responses start arriving more promptly.
Resource Information
| Method and URI | GET https://developer.api.autodesk.com/modelderivative/v2/designdata/{urn}/metadata/{modelGuid}/properties |
| Authentication Context | User context optional |
| Required OAuth Scopes | data:read |
| Data Format | JSON |
Request
Headers
| Authorization* string | Must be Bearer <token>, where <token> is a two-legged access token obtained via a Client Credentials Grant flow, or a three-legged access token obtained via an Authorization Code flow or a Secure Service Account (SSA) flow.
The SSA flow is designed for headless server-to-server operations. While it functions like a two-legged flow (no user interaction), it is classified as three-legged because it preserves user context. |
| Accept-Encoding string | A comma separated list of the algorithms you want the response to be encoded in, specified in the order of preference.
If you specify |
| x-ads-force boolean |
|
| x-ads-derivative-format string | Specifies which Object IDs to return if the design has legacy SVF derivatives generated by the BIM Docs or Forma Data Management service. Possible values:
Note:
|
| region string | Specifies the data center where the manifest and derivatives of the specified source design are stored. Possible values are:
|
Request
URI Parameters
| urn string | The URL-safe Base64 encoded URN of the source design. This value is used as the urn URI parameter in operations to access data for this source design. |
| modelGuid string | The ID of the Model View you are querying. Use the List Model Views operation to obtain the IDs of the Model Views in the source design. |
Request
Query String Parameters
| objectid int | The Object ID of the object you want to restrict the response to. If you do not specify this parameter, all properties of all objects within the Model View are returned. |
| forceget string |
|
Response
HTTP Status Code Summary
| 200 OK | All properties were successfully retrieved. |
| 202 Accepted | The request was accepted but processing is not complete. Repeat the request until you receive an HTTP status of 200. |
| 400 Bad Request | The server was unable to process the request. The syntax of the request is malformed or the request is missing a required header. Do not repeat the request without fixing the issue. The response body may indicate what is wrong with the request. |
| 401 Unauthorized | The supplied authorization header was not valid or the supplied token scope was not acceptable. Verify authentication and try again. |
| 403 Forbidden | The request was successfully validated but lacking the required permissions. Verify your credentials and permissions before you send this request again. |
| 404 Not Found | The requested resource was not found. Review the request and try again. |
| 406 Not Acceptable | The request contains values that are not acceptable. Please check your request parameters, especially the headers and modify them to include a supported media type, or contact the support team for a list of available content types. |
| 409 Conflict | The request could not be completed due to a conflict with the current state of a resource. For example, you may be trying to create a resource that is currently being created by another request. Please review the response body for details and adjust your request accordingly. |
| 429 Too Many Requests | The request was rejected because too many requests were sent within a specific time period. Wait before retrying the request. Check the response headers for rate limit information and recommended retry timing. |
| 500 Internal Server Error | An unexpected error occurred on the server, preventing it from completing your request. Please try again later. If the issue persists, contact the support team for assistance. |
Response
Header (200)
| x-ads-app-identifier string | The service identifier. Comprises of the service name, version, and environment. |
| x-ads-startup-time string | The service startup time, in the following date format: EEE MMM dd HH:mm:ss Z yyyy. |
| x-ads-duration string | The amount of time spent servicing the request, in milliseconds. |
| x-ads-troubleshooting string | Provides information about server failures, if any. |
| x-ads-size string | Size in bytes of the request data. Additionally, the system uses this information to determine if a 413 (content too large) response is returned. |
Response
Body Structure (200)
| data object | Container for the data returned by the Fetch All Properties operation. |
| type string | The type of data that is returned. Always properties. |
| collection array: object | A non-hierarchical list of objects contained in
the specified Model View. Each object has a
properties attribute, which contains the
properties of that object. |
| objectid number | Unique identifier of the object.
Note: The
|
| name string | Name of the object. |
| externalId string | A unique identifier of the object as defined in the source design. For example, UniqueID in Revit files. |
| properties object | A JSON object containing dictionary objects (key value pairs), where the key is the property name and the value is the value of the property. |
Response
Body Structure (202)
| result string |
The following examples return raw HTTP headers and JSON objects. For a more developer-friendly experience, consider using our TypeScript SDK or .NET SDK. Both provide strongly typed data with IntelliSense support, offering code completion, error checking, and tooltips that reduce the need to reference JSON schemas.
Example 1
This example demonstrates the successful retrieval of all properties of all objects (200). This example uses an Inventor model translated to SVF.
Request
curl --location 'https://developer.api.autodesk.com/modelderivative/v2/designdata/dXJuOmFkc2sub2JqZWN0czpvcy5vYmplY3Q6bW9kZWxkZXJpdmF0aXZlL0E1LnppcA/metadata/4f981e94-8241-4eaf-b08b-cd337c6b8b1f/properties' \
--header 'Authorization: Bearer eyJh......'
// Create a new Headers object and set the required headers
const myHeaders = new Headers();
myHeaders.append("Authorization", "Bearer eyJh......"); // Replace with your access token
// Set up the request options for the fetch call
const requestOptions = {
method: "GET",
headers: myHeaders,
redirect: "follow"
};
// Make the GET request to the Model Derivative API for properties
fetch("https://developer.api.autodesk.com/modelderivative/v2/designdata/dXJuOmFkc2sub2JqZWN0czpvcy5vYmplY3Q6bW9kZWxkZXJpdmF0aXZlL0E1LnppcA/metadata/4f981e94-8241-4eaf-b08b-cd337c6b8b1f/properties", requestOptions)
.then((response) => response.text()) // Parse the response as text
.then((result) => console.log(result)) // Log the result to the console
.catch((error) => console.error(error)); // Log any errors
// Create a new HttpClient instance
var client = new HttpClient();
// Create a new HttpRequestMessage for the GET request
var request = new HttpRequestMessage(
HttpMethod.Get,
"https://developer.api.autodesk.com/modelderivative/v2/designdata/dXJuOmFkc2sub2JqZWN0czpvcy5vYmplY3Q6bW9kZWxkZXJpdmF0aXZlL0E1LnppcA/metadata/4f981e94-8241-4eaf-b08b-cd337c6b8b1f/properties"
);
// Add the Authorization header with your access token
request.Headers.Add("Authorization", "Bearer eyJh......");
// Send the request asynchronously and get the response
var response = await client.SendAsync(request);
// Throw an exception if the response indicates an error
response.EnsureSuccessStatusCode();
// Read and print the response content as a string
Console.WriteLine(await response.Content.ReadAsStringAsync());
import requests
# Set the API endpoint URL for the properties request
url = "https://developer.api.autodesk.com/modelderivative/v2/designdata/dXJuOmFkc2sub2JqZWN0czpvcy5vYmplY3Q6bW9kZWxkZXJpdmF0aXZlL0E1LnppcA/metadata/4f981e94-8241-4eaf-b08b-cd337c6b8b1f/properties"
# Set the required headers, including your access token
headers = {
'Authorization': 'Bearer eyJh......', # Replace with your access token
}
# Make the GET request to the Model Derivative API
response = requests.request("GET", url, headers=headers)
# Print the response text (the properties)
print(response.text)
Response
Status Code: 200 OK
Last-Modified: Fri. 13 May 2016 08:49:06 GMT
x-ads-app-identifier=platform-viewing-2016.05.03.1102.2f6bfbf-production
x-ads-startup-time: Fri May 13 08:49:06 UTC 2016
x-ads-duration: 3 ms
{
"data": {
"type": "properties",
"collection": [
{
"objectid": 1,
"name": "A5",
"externalId": "mou0zG8ViUOsqUzhb4TUiA",
"properties": {
"Name": "A5"
}
},
{
"objectid": 2,
"name": "Model",
"externalId": "z4u0zG8ViUOsqUzhb4TUiA",
"properties": {
"Component Name": "Model",
"Name": "Model",
"Design Tracking Properties": {
"Design State": "WorkInProgress",
"Designer": "ADSK",
"File Subtype": "Assembly"
},
"File Properties": {
"Author": "ADSK",
"Creation Date": "2012-Jul-09 20:18:20",
"Original System": "Autodesk Inventor 2017",
"Part Number": "Model"
},
"Mass Properties": {
"Area": "19772.676 millimeter^2",
"Volume": "83673.946 millimeter^3"
}
}
},
{
"objectid": 3,
"name": "Bottom",
"externalId": "0Yu0zG8ViUOsqUzhb4TUiA",
"properties": {
"Component Name": "A5-P1",
"Name": "Bottom",
"Design Tracking Properties": {
"Design State": "WorkInProgress",
"Designer": "ADSK",
"File Subtype": "Modeling"
},
"File Properties": {
"Author": "ADSK",
"Creation Date": "2012-Jul-09 20:18:35",
"Original System": "Autodesk Inventor 2017",
"Part Number": "Bottom"
},
"Mass Properties": {
"Area": "7000 millimeter^2",
"Volume": "25000 millimeter^3"
}
}
},
{
"objectid": 4,
"name": "Box",
"externalId": "1Iu0zG8ViUOsqUzhb4TUiA",
"properties": {
"Center of Gravity:": "-13.452 mm, -9.879 mm, -40.735 mm",
"Name": "Box"
}
},
{
"objectid": 5,
"name": "Pillar",
"externalId": "1ou0zG8ViUOsqUzhb4TUiA",
"properties": {
"Component Name": "Pillar",
"Name": "Pillar",
"Design Tracking Properties": {
"Design State": "WorkInProgress",
"Designer": "ADSK",
"File Subtype": "Modeling"
},
"File Properties": {
"Author": "ADSK",
"Creation Date": "2012-Jul-09 20:18:35",
"Original System": "Autodesk Inventor 2017",
"Part Number": "Pillar"
},
"Mass Properties": {
"Area": "7000 millimeter^2",
"Volume": "25000 millimeter^3"
}
}
},
{
"objectid": 6,
"name": "Cylinder",
"externalId": "2Iu0zG8ViUOsqUzhb4TUiA",
"properties": {
"Mass:": "0.012 gram",
"Name": "Cylinder"
}
},
{
"objectid": 7,
"name": "Top",
"externalId": "2ou0zG8ViUOsqUzhb4TUiA",
"properties": {
"Component Name": "Top",
"Name": "Top",
"Design Tracking Properties": {
"Design State": "WorkInProgress",
"Designer": "ADSK",
"File Subtype": "Modeling"
},
"File Properties": {
"Author": "ADSK",
"Creation Date": "2012-Jul-09 20:19:38",
"Original System": "Autodesk Inventor 2017",
"Part Number": "Top"
},
"Mass Properties": {
"Area": "5772.676 millimeter^2",
"Volume": "33673.946 millimeter^3"
}
}
},
{
"objectid": 8,
"name": "Box",
"externalId": "3Iu0zG8ViUOsqUzhb4TUiA",
"properties": {
"Material": "ABS Plastic",
"Name": "Box"
}
}
]
}
}
Example 2
This example is the same as Example 1, but filtered to display all properties of the object with an objectid of 7 (200).
Request
curl --location 'https://developer.api.autodesk.com/modelderivative/v2/designdata/dXJuOmFkc2sub2JqZWN0czpvcy5vYmplY3Q6bW9kZWxkZXJpdmF0aXZlL0E1LnppcA/metadata/4f981e94-8241-4eaf-b08b-cd337c6b8b1f/properties?objectid=7' \
--header 'Authorization: Bearer eyJh......'
// Create a new Headers object and set the required headers
const myHeaders = new Headers();
myHeaders.append("Authorization", "Bearer eyJh......"); // Replace with your access token
// Set up the request options for the fetch call
const requestOptions = {
method: "GET",
headers: myHeaders,
redirect: "follow"
};
// Make the GET request to the Model Derivative API for properties of objectid=7
fetch("https://developer.api.autodesk.com/modelderivative/v2/designdata/dXJuOmFkc2sub2JqZWN0czpvcy5vYmplY3Q6bW9kZWxkZXJpdmF0aXZlL0E1LnppcA/metadata/4f981e94-8241-4eaf-b08b-cd337c6b8b1f/properties?objectid=7", requestOptions)
.then((response) => response.text()) // Parse the response as text
.then((result) => console.log(result)) // Log the result to the console
.catch((error) => console.error(error)); // Log any errors
// Create a new HttpClient instance
var client = new HttpClient();
// Create a new HttpRequestMessage for the GET request with objectid=7
var request = new HttpRequestMessage(
HttpMethod.Get,
"https://developer.api.autodesk.com/modelderivative/v2/designdata/dXJuOmFkc2sub2JqZWN0czpvcy5vYmplY3Q6bW9kZWxkZXJpdmF0aXZlL0E1LnppcA/metadata/4f981e94-8241-4eaf-b08b-cd337c6b8b1f/properties?objectid=7"
);
// Add the Authorization header with your access token
request.Headers.Add("Authorization", "Bearer eyJh......");
// Send the request asynchronously and get the response
var response = await client.SendAsync(request);
// Throw an exception if the response indicates an error
response.EnsureSuccessStatusCode();
// Read and print the response content as a string
Console.WriteLine(await response.Content.ReadAsStringAsync());
import requests
# Set the API endpoint URL for the properties request with objectid=7
url = "https://developer.api.autodesk.com/modelderivative/v2/designdata/dXJuOmFkc2sub2JqZWN0czpvcy5vYmplY3Q6bW9kZWxkZXJpdmF0aXZlL0E1LnppcA/metadata/4f981e94-8241-4eaf-b08b-cd337c6b8b1f/properties?objectid=7"
# Set the required headers, including your access token
headers = {
'Authorization': 'Bearer eyJh......', # Replace with your access token
}
# Make the GET request to the Model Derivative API
response = requests.request("GET", url, headers=headers)
# Print the response text (the properties)
print(response.text)
Response
HTTP/1.1 200 OK
x-ads-app-identifier: platform-viewing-2022.06.01.100.3f9faaead-production
x-ads-duration: 193 ms
x-ads-startup-time: Mon Jun 27 01:13:34 UTC 2022
{
"data": {
"type": "properties",
"collection": [
{
"objectid": 7,
"name": "Top",
"externalId": "2ou0zG8ViUOsqUzhb4TUiA",
"properties": {
"Component Name": "Top",
"Name": "Top",
"Design Tracking Properties": {
"Design State": "WorkInProgress",
"Designer": "ADSK",
"File Subtype": "Modeling"
},
"File Properties": {
"Author": "ADSK",
"Creation Date": "2012-Jul-09 20:19:38",
"Original System": "Autodesk Inventor 2017",
"Part Number": "Top"
},
"Mass Properties": {
"Area": "5772.676 millimeter^2",
"Volume": "33673.946 millimeter^3"
}
}
}
]
}
}
Example 3
This example demonstrates the successful submission but the result is pending (202).
Request
curl --location 'https://developer.api.autodesk.com/modelderivative/v2/designdata/dXJuOmFkc2sub2JqZWN0czpvcy5vYmplY3Q6bW9kZWxkZXJpdmF0aXZlL0E1LnppcA/metadata/4f981e94-8241-4eaf-b08b-cd337c6b8b1f/properties' \
--header 'Authorization: Bearer eyJh......'
// Create a new Headers object and set the required headers
const myHeaders = new Headers();
myHeaders.append("Authorization", "Bearer eyJh......"); // Replace with your access token
// Set up the request options for the fetch call
const requestOptions = {
method: "GET",
headers: myHeaders,
redirect: "follow"
};
// Make the GET request to the Model Derivative API for properties
fetch("https://developer.api.autodesk.com/modelderivative/v2/designdata/dXJuOmFkc2sub2JqZWN0czpvcy5vYmplY3Q6bW9kZWxkZXJpdmF0aXZlL0E1LnppcA/metadata/4f981e94-8241-4eaf-b08b-cd337c6b8b1f/properties", requestOptions)
.then((response) => response.text()) // Parse the response as text
.then((result) => console.log(result)) // Log the result to the console
.catch((error) => console.error(error)); // Log any errors
// Create a new HttpClient instance
var client = new HttpClient();
// Create a new HttpRequestMessage for the GET request
var request = new HttpRequestMessage(
HttpMethod.Get,
"https://developer.api.autodesk.com/modelderivative/v2/designdata/dXJuOmFkc2sub2JqZWN0czpvcy5vYmplY3Q6bW9kZWxkZXJpdmF0aXZlL0E1LnppcA/metadata/4f981e94-8241-4eaf-b08b-cd337c6b8b1f/properties"
);
// Add the Authorization header with your access token
request.Headers.Add("Authorization", "Bearer eyJh......");
// Send the request asynchronously and get the response
var response = await client.SendAsync(request);
// Throw an exception if the response indicates an error
response.EnsureSuccessStatusCode();
// Read and print the response content as a string
Console.WriteLine(await response.Content.ReadAsStringAsync());
import requests
# Set the API endpoint URL for the properties request
url = "https://developer.api.autodesk.com/modelderivative/v2/designdata/dXJuOmFkc2sub2JqZWN0czpvcy5vYmplY3Q6bW9kZWxkZXJpdmF0aXZlL0E1LnppcA/metadata/4f981e94-8241-4eaf-b08b-cd337c6b8b1f/properties"
# Set the required headers, including your access token
headers = {
'Authorization': 'Bearer eyJh......', # Replace with your access token
}
# Make the GET request to the Model Derivative API
response = requests.request("GET", url, headers=headers)
# Print the response text (the properties)
print(response.text)
Response
Status Code: 202 ACCEPTED
Last-Modified: Fri. 13 May 2016 08:49:06 GMT
x-ads-app-identifier=platform-viewing-2016.05.03.1102.2f6bfbf-production
x-ads-startup-time: Fri May 13 08:49:06 UTC 2016
x-ads-duration: 3 ms
{
"result": "success"
}
Example 4
Failed Attempt to Retrieve Large Properties (413)
Request
curl --location 'https://developer.api.autodesk.com/modelderivative/v2/designdata/dXJuOmFkc2sub2JqZWN0czpvcy5vYmplY3Q6bW9kZWxkZXJpdmF0aXZlL0E1LnppcA/metadata/c213b30e-73be-4060-ad9d-06f043192d9f/properties' \
--header 'Authorization: Bearer eyJh......'
// Create a new Headers object and set the required headers
const myHeaders = new Headers();
myHeaders.append("Authorization", "Bearer eyJh......"); // Replace with your access token
// Set up the request options for the fetch call
const requestOptions = {
method: "GET",
headers: myHeaders,
redirect: "follow"
};
// Make the GET request to the Model Derivative API for properties
fetch("https://developer.api.autodesk.com/modelderivative/v2/designdata/dXJuOmFkc2sub2JqZWN0czpvcy5vYmplY3Q6bW9kZWxkZXJpdmF0aXZlL0E1LnppcA/metadata/c213b30e-73be-4060-ad9d-06f043192d9f/properties", requestOptions)
.then((response) => response.text()) // Parse the response as text
.then((result) => console.log(result)) // Log the result to the console
.catch((error) => console.error(error)); // Log any errors
// Create a new HttpClient instance
var client = new HttpClient();
// Create a new HttpRequestMessage for the GET request
var request = new HttpRequestMessage(
HttpMethod.Get,
"https://developer.api.autodesk.com/modelderivative/v2/designdata/dXJuOmFkc2sub2JqZWN0czpvcy5vYmplY3Q6bW9kZWxkZXJpdmF0aXZlL0E1LnppcA/metadata/c213b30e-73be-4060-ad9d-06f043192d9f/properties"
);
// Add the Authorization header with your access token
request.Headers.Add("Authorization", "Bearer eyJh......");
// Send the request asynchronously and get the response
var response = await client.SendAsync(request);
// Throw an exception if the response indicates an error
response.EnsureSuccessStatusCode();
// Read and print the response content as a string
Console.WriteLine(await response.Content.ReadAsStringAsync());
import requests
# Set the API endpoint URL for the properties request
url = "https://developer.api.autodesk.com/modelderivative/v2/designdata/dXJuOmFkc2sub2JqZWN0czpvcy5vYmplY3Q6bW9kZWxkZXJpdmF0aXZlL0E1LnppcA/metadata/c213b30e-73be-4060-ad9d-06f043192d9f/properties"
# Set the required headers, including your access token
headers = {
'Authorization': 'Bearer eyJh......', # Replace with your access token
}
# Make the GET request to the Model Derivative API
response = requests.request("GET", url, headers=headers)
# Print the response text (the properties)
print(response.text)
Response
Status Code: 413 Request Entity Too Large
date: Fri, 03 Aug 2018 08:17:33 GMT
x-ads-app-identifier=platform-viewing-2018.06.02.63.f1ad853-production
x-ads-startup-time: Fri Aug 03 05:34:31 UTC 2018
x-ads-duration: 126 ms
x-ads-size: 529625314
{
"diagnostic": "Please use the 'forceget' parameter to force querying the data."
}
Example 5
This example demonstrates the successful retrieval of large properties with the forceget option (200).
Request
curl \
--location 'https://developer.api.autodesk.com/modelderivative/v2/designdata/dXJuOmFkc2sub2JqZWN0czpvcy5vYmplY3Q6bW9kZWxkZXJpdmF0aXZlL0E1LnppcA/metadata/c213b30e-73be-4060-ad9d-06f043192d9f/properties?forceget=true' \
--header 'Authorization: Bearer eyJh...'
// Define the URL for the GET request
const url = 'https://developer.api.autodesk.com/modelderivative/v2/designdata/dXJuOmFkc2sub2JqZWN0czpvcy5vYmplY3Q6bW9kZWxkZXJpdmF0aXZlL0E1LnppcA/metadata/c213b30e-73be-4060-ad9d-06f043192d9f/properties?forceget=true';
// Define the request options, including the HTTP method and headers
const options = {
method: 'GET',
headers: {
'Authorization': 'Bearer eyJh...'
}
};
// Make the GET request using the Fetch API
fetch(url, options)
.then(response => response.json())
.then(data => console.log(data))
.catch(error => console.error('Error:', error));
// Create a new instance of HttpClient to send HTTP requests
var client = new HttpClient();
// Create a new HTTP GET request to the specified URL
var request = new HttpRequestMessage(HttpMethod.Get, "https://developer.api.autodesk.com/modelderivative/v2/designdata/dXJuOmFkc2sub2JqZWN0czpvcy5vYmplY3Q6bW9kZWxkZXJpdmF0aXZlL0E1LnppcA/metadata/c213b30e-73be-4060-ad9d-06f043192d9f/properties?forceget=true");
request.Headers.Add("Authorization", "Bearer eyJh...");
// Send the HTTP request asynchronously and get the response
var response = await client.SendAsync(request);
// Ensure the response indicates success (status code 200-299)
response.EnsureSuccessStatusCode();
// Read the response content as a string and print it to the console
Console.WriteLine(await response.Content.ReadAsStringAsync());
# Import the requests library to handle HTTP requests
import requests
# Define the URL for the GET request
url = "https://developer.api.autodesk.com/modelderivative/v2/designdata/dXJuOmFkc2sub2JqZWN0czpvcy5vYmplY3Q6bW9kZWxkZXJpdmF0aXZlL0E1LnppcA/metadata/c213b30e-73be-4060-ad9d-06f043192d9f/properties?forceget=true"
# Define the headers
headers = {
'Authorization': 'Bearer eyJh...',
}
# Make the GET request using the requests library
response = requests.get(url, headers=headers)
# Print the response content to the console
print(response.text)
Response
Status Code: 200 OK
date: Fri, 03 Aug 2018 08:13:04 GMT
x-ads-app-identifier=platform-viewing-2018.06.02.63.f1ad853-production
x-ads-startup-time: Fri Aug 03 05:34:31 UTC 2018
x-ads-duration: 1973 ms
x-ads-size: 529625314
{
"data": {
"type": "properties",
"collection": [
...
]
}
}
Example 6
This example demonstrates a failed attempt to retrieve properties or an attempt that timed out(404).
Request
curl \
--location 'https://developer.api.autodesk.com/modelderivative/v2/designdata/dXJuOmFkc2sub2JqZWN0czpvcy5vYmplY3Q6bW9kZWxkZXJpdmF0aXZlL0E1LnppcA/metadata/c213b30e-73be-4060-ad9d-06f043192d9f/properties' \
--header 'Authorization: Bearer eyJh...'
// Define the URL for the GET request
const url = 'https://developer.api.autodesk.com/modelderivative/v2/designdata/dXJuOmFkc2sub2JqZWN0czpvcy5vYmplY3Q6bW9kZWxkZXJpdmF0aXZlL0E1LnppcA/metadata/c213b30e-73be-4060-ad9d-06f043192d9f/properties';
// Define the request options, including the HTTP method and headers
const options = {
method: 'GET',
headers: {
'Authorization': 'Bearer eyJh...'
}
};
// Make the GET request using the Fetch API
fetch(url, options)
.then(response => response.json())
.then(data => console.log(data))
.catch(error => console.error('Error:', error));
// Create a new instance of HttpClient to send HTTP requests
var client = new HttpClient();
// Create a new HTTP GET request to the specified URL
var request = new HttpRequestMessage(HttpMethod.Get, "https://developer.api.autodesk.com/modelderivative/v2/designdata/dXJuOmFkc2sub2JqZWN0czpvcy5vYmplY3Q6bW9kZWxkZXJpdmF0aXZlL0E1LnppcA/metadata/c213b30e-73be-4060-ad9d-06f043192d9f/properties");
request.Headers.Add("Authorization", "Bearer eyJh...");
// Send the HTTP request asynchronously and get the response
var response = await client.SendAsync(request);
// Ensure the response indicates success (status code 200-299)
response.EnsureSuccessStatusCode();
// Read the response content as a string and print it to the console
Console.WriteLine(await response.Content.ReadAsStringAsync());
# Import the requests library to handle HTTP requests
import requests
# Define the URL for the GET request
url = "https://developer.api.autodesk.com/modelderivative/v2/designdata/dXJuOmFkc2sub2JqZWN0czpvcy5vYmplY3Q6bW9kZWxkZXJpdmF0aXZlL0E1LnppcA/metadata/c213b30e-73be-4060-ad9d-06f043192d9f/properties"
# Define the headers
headers = {
'Authorization': 'Bearer eyJh...',
}
# Make the GET request using the requests library
response = requests.get(url, headers=headers)
# Print the response content to the console
print(response.text)
Response
Status Code: 404 Not Found
date: Fri, 03 Aug 2018 08:13:04 GMT
x-ads-app-identifier=platform-viewing-2018.06.02.63.f1ad853-production
x-ads-startup-time: Fri Aug 03 05:34:31 UTC 2018
x-ads-duration: 81 ms
x-ads-size: 26825314
{
"diagnostic": "Failed to query the data."
}
Example 7
This example demonstrates the successful retrieval of properties using the x-ads-force option to retry on recoverable failures (200).
Request
curl \
--location 'https://developer.api.autodesk.com/modelderivative/v2/designdata/dXJuOmFkc2sub2JqZWN0czpvcy5vYmplY3Q6bW9kZWxkZXJpdmF0aXZlL0E1LnppcA/metadata/c213b30e-73be-4060-ad9d-06f043192d9f/properties' \
--header 'Authorization: Bearer eyJh...' \
--header 'x-ads-force: true'
// Define the URL for the GET request
const url = 'https://developer.api.autodesk.com/modelderivative/v2/designdata/dXJuOmFkc2sub2JqZWN0czpvcy5vYmplY3Q6bW9kZWxkZXJpdmF0aXZlL0E1LnppcA/metadata/c213b30e-73be-4060-ad9d-06f043192d9f/properties';
// Define the request options, including the HTTP method and headers
const options = {
method: 'GET',
headers: {
'Authorization': 'Bearer eyJh...',
'x-ads-force': 'true'
}
};
// Make the GET request using the Fetch API
fetch(url, options)
.then(response => response.json())
.then(data => console.log(data))
.catch(error => console.error('Error:', error));
// Create a new instance of HttpClient to send HTTP requests
var client = new HttpClient();
// Create a new HTTP GET request to the specified URL
var request = new HttpRequestMessage(HttpMethod.Get, "https://developer.api.autodesk.com/modelderivative/v2/designdata/dXJuOmFkc2sub2JqZWN0czpvcy5vYmplY3Q6bW9kZWxkZXJpdmF0aXZlL0E1LnppcA/metadata/c213b30e-73be-4060-ad9d-06f043192d9f/properties");
request.Headers.Add("Authorization", "Bearer eyJh...");
request.Headers.Add("x-ads-force", "true");
// Send the HTTP request asynchronously and get the response
var response = await client.SendAsync(request);
// Ensure the response indicates success (status code 200-299)
response.EnsureSuccessStatusCode();
// Read the response content as a string and print it to the console
Console.WriteLine(await response.Content.ReadAsStringAsync());
# Import the requests library to handle HTTP requests
import requests
# Define the URL for the GET request
url = "https://developer.api.autodesk.com/modelderivative/v2/designdata/dXJuOmFkc2sub2JqZWN0czpvcy5vYmplY3Q6bW9kZWxkZXJpdmF0aXZlL0E1LnppcA/metadata/c213b30e-73be-4060-ad9d-06f043192d9f/properties"
# Define the headers
headers = {
'Authorization': 'Bearer eyJh...',
'x-ads-force': 'true',
}
# Make the GET request using the requests library
response = requests.get(url, headers=headers)
# Print the response content to the console
print(response.text)
Response
Status Code: 200 OK
Last-Modified: Fri. 13 May 2016 08:49:06 GMT
x-ads-app-identifier=platform-viewing-2016.05.03.1102.2f6bfbf-production
x-ads-startup-time: Fri May 13 08:49:06 UTC 2016
x-ads-duration: 3 ms
{
"data": {
"type": "properties",
"collection": [
{
"objectid": 1,
"name": "A5",
"externalId": "mou0zG8ViUOsqUzhb4TUiA",
"properties": {
"Name": "A5"
}
},
{
"objectid": 2,
"name": "Model",
"externalId": "z4u0zG8ViUOsqUzhb4TUiA",
"properties": {
"Component Name": "Model",
"Name": "Model",
"Design Tracking Properties": {
"Design State": "WorkInProgress",
"Designer": "ADSK",
"File Subtype": "Assembly"
},
"File Properties": {
"Author": "ADSK",
"Creation Date": "2012-Jul-09 20:18:20",
"Original System": "Autodesk Inventor 2017",
"Part Number": "Model"
},
"Mass Properties": {
"Area": "19772.676 millimeter^2",
"Volume": "83673.946 millimeter^3"
}
}
},
{
"objectid": 3,
"name": "Bottom",
"externalId": "0Yu0zG8ViUOsqUzhb4TUiA",
"properties": {
"Component Name": "A5-P1",
"Name": "Bottom",
"Design Tracking Properties": {
"Design State": "WorkInProgress",
"Designer": "ADSK",
"File Subtype": "Modeling"
},
"File Properties": {
"Author": "ADSK",
"Creation Date": "2012-Jul-09 20:18:35",
"Original System": "Autodesk Inventor 2017",
"Part Number": "Bottom"
},
"Mass Properties": {
"Area": "7000 millimeter^2",
"Volume": "25000 millimeter^3"
}
}
},
{
"objectid": 4,
"name": "Box",
"externalId": "1Iu0zG8ViUOsqUzhb4TUiA",
"properties": {
"Center of Gravity:": "-13.452 mm, -9.879 mm, -40.735 mm",
"Name": "Box"
}
},
{
"objectid": 5,
"name": "Pillar",
"externalId": "1ou0zG8ViUOsqUzhb4TUiA",
"properties": {
"Component Name": "Pillar",
"Name": "Pillar",
"Design Tracking Properties": {
"Design State": "WorkInProgress",
"Designer": "ADSK",
"File Subtype": "Modeling"
},
"File Properties": {
"Author": "ADSK",
"Creation Date": "2012-Jul-09 20:18:35",
"Original System": "Autodesk Inventor 2017",
"Part Number": "Pillar"
},
"Mass Properties": {
"Area": "7000 millimeter^2",
"Volume": "25000 millimeter^3"
}
}
},
{
"objectid": 6,
"name": "Cylinder",
"externalId": "2Iu0zG8ViUOsqUzhb4TUiA",
"properties": {
"Mass:": "0.012 gram",
"Name": "Cylinder"
}
},
{
"objectid": 7,
"name": "Top",
"externalId": "2ou0zG8ViUOsqUzhb4TUiA",
"properties": {
"Component Name": "Top",
"Name": "Top",
"Design Tracking Properties": {
"Design State": "WorkInProgress",
"Designer": "ADSK",
"File Subtype": "Modeling"
},
"File Properties": {
"Author": "ADSK",
"Creation Date": "2012-Jul-09 20:19:38",
"Original System": "Autodesk Inventor 2017",
"Part Number": "Top"
},
"Mass Properties": {
"Area": "5772.676 millimeter^2",
"Volume": "33673.946 millimeter^3"
}
}
},
{
"objectid": 8,
"name": "Box",
"externalId": "3Iu0zG8ViUOsqUzhb4TUiA",
"properties": {
"Material": "ABS Plastic",
"Name": "Box"
}
}
]
}
}